Bug 171763 - Upgrade mail/davmail to 4.0.0-2016
Summary: Upgrade mail/davmail to 4.0.0-2016
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Doug Barton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 02:50 UTC by Doug Barton
Modified: 2012-10-04 23:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.12 KB, patch)
2012-09-19 02:50 UTC, Doug Barton
no flags Details | Diff
davmail.diff (1.11 KB, patch)
2012-10-01 07:44 UTC, Doug Barton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2012-09-19 02:50:12 UTC
** DavMail 4.0.0 released **
Includes full Exchange 2007 and 2010 support with EWS implementation, 
and additional enhancements and bugfixes.

IMAP:
- IMAP: workaround for broken message headers on Exchange 2010
- IMAP: log content if less than 2K
- IMAP: improve Exchange 2010 header search, use direct header names to implement substring search on some headers
- IMAP: additional fix for Exchange 2010 header search, use PR_TRANSPORT_MESSAGE_HEADERS
- IMAP: Exchange 2010 does not support header search, workaround to avoid duplicate items in Drafts folder with Thunderbird
- IMAP: fix 3553942, unexpected imap NIL response
- IMAP: detect and ignore missing message to avoid NullPointerException
- IMAP: improve bodystructure error handling

The patch also updates the "traditional" header information to the new standard.
Please indicate whether you wish to leave the "Created by" line in place or not.

Fix: Apply the following patch:

How-To-Repeat: 	DNA
Comment 1 Edwin Groothuis freebsd_committer 2012-09-19 02:50:21 UTC
Maintainer of mail/davmail,

Please note that PR ports/171763 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171763

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-19 02:50:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Doug Barton freebsd_committer 2012-10-01 07:44:40 UTC
Another update.

-- 

    I am only one, but I am one.  I cannot do everything, but I can do
    something.  And I will not let what I cannot do interfere with what
    I can do.
			-- Edward Everett Hale, (1822 - 1909)
Comment 4 john.c.prather 2012-10-02 09:57:39 UTC
Sorry for the wait!  I see that Doug has kindly bumped the PR with a
second patch which takes it to revision 2042.   Please proceed with
the latter patch to update mail/davmail to 4.0.0 revision 2042.

Thanks!!!

-john
Comment 5 john.c.prather 2012-10-02 09:59:49 UTC
Typo correction:  Please use latter patch, updating mail/davmail to
4.1.0 revision 2042.
Comment 6 dfilter service freebsd_committer 2012-10-04 23:04:46 UTC
Author: dougb
Date: Thu Oct  4 22:04:32 2012
New Revision: 305284
URL: http://svn.freebsd.org/changeset/ports/305284

Log:
  Upgrade to 4.1.0-2042:
  
  This version features significant enhancements over the 3.x series,
  especially for simulated IMAP access. There are also improvements
  in the Caldav functionality, and many bug fixes.
  
  See http://sourceforge.net/news/?group_id=184600 for the details of
  the 4.0.0 and 4.1.0 upgrades.
  
  PR:		ports/171763
  Submitted by:	me
  Approved by:	maintainer timeout

Modified:
  head/mail/davmail/Makefile
  head/mail/davmail/distinfo

Modified: head/mail/davmail/Makefile
==============================================================================
--- head/mail/davmail/Makefile	Thu Oct  4 21:43:27 2012	(r305283)
+++ head/mail/davmail/Makefile	Thu Oct  4 22:04:32 2012	(r305284)
@@ -1,12 +1,9 @@
-# New ports collection Makefile for:	davmail
-# Date created:				28 Oct 2010
-# Whom:					John Prather
+# Created by: John Prather
 #
 # $FreeBSD$
-#
 
 PORTNAME=	davmail
-PORTVERSION=	3.9.9
+PORTVERSION=	4.1.0
 CATEGORIES=	mail java
 MASTER_SITES=	SF/davmail/davmail/${PORTVERSION}
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}-${REVISION}
@@ -23,7 +20,7 @@ USE_ANT=	yes
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 ALL_TARGET=	release
-REVISION=	1976
+REVISION=	2042
 # port build number, same as on DISTNAME
 MAKE_ARGS=	-Drevision=${REVISION}
 

Modified: head/mail/davmail/distinfo
==============================================================================
--- head/mail/davmail/distinfo	Thu Oct  4 21:43:27 2012	(r305283)
+++ head/mail/davmail/distinfo	Thu Oct  4 22:04:32 2012	(r305284)
@@ -1,2 +1,2 @@
-SHA256 (davmail-src-3.9.9-1976.tgz) = 1f94cdd1b3725d871bc0c5bc08946f8c0bf84c5185f23e5e1e65884d4069f5d2
-SIZE (davmail-src-3.9.9-1976.tgz) = 22143077
+SHA256 (davmail-src-4.1.0-2042.tgz) = eb0bec08e125b891ab6302ac5b86ac9a5e5b58bbd7fa178a00f5380b62cd58c5
+SIZE (davmail-src-4.1.0-2042.tgz) = 22433512
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Doug Barton freebsd_committer 2012-10-04 23:05:27 UTC
State Changed
From-To: feedback->closed
Comment 8 Doug Barton freebsd_committer 2012-10-04 23:05:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb


I submitted the PR, and committed the change.